#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>

class ClassicPrint;

namespace Ui {
    class SettingsDialog;
}

class SettingsDialog : public QDialog
{
    Q_OBJECT

public:
	explicit SettingsDialog(ClassicPrint* print, QWidget *parent = 0);
    ~SettingsDialog();

protected:
    void changeEvent(QEvent *e);

private:
	void setNegativesButton(QString folder);
	void setDevelopedButton(QString folder);

private:
    Ui::SettingsDialog *ui;
	ClassicPrint*		m_print;
	QString				m_negatives_folder;
	QString				m_developed_folder;

private slots:
	void on_negatives_button_clicked();
	void on_developed_button_clicked();
	void on_buttonBox_rejected();
	void on_buttonBox_accepted();
};

#endif // SETTINGSDIALOG_H
