/*!
** @file	settings.h
** 
** @brief	Paths and other settings
**  
*/  
#ifndef __settings__h
#define __settings__h
 
/*--------------------------------------------------------------------------- 
** Includes 
*/
#include <QString>

/*--------------------------------------------------------------------------- 
** Defines and Macros 
*/

/*--------------------------------------------------------------------------- 
** Typedefs 
*/ 
 
/*--------------------------------------------------------------------------- 
** Local function prototypes 
*/ 
 
/*--------------------------------------------------------------------------- 
** Data 
*/
class ClassicPrintSettings {
public:
    static void         init(QString app_dir);

    static QString      config_dir();
    static QString      noise_dir();
    static QString      colour_profile_dir();
    static QString      light_bleed_dir();
    static QString      frame_dir();

private:
    static QString     m_config_dir;
    static QString     m_noise_dir;
    static QString     m_colour_profile_dir;
    static QString     m_light_bleed_dir;
    static QString     m_frame_dir;
};


#endif
